KMTRACE(1)

NAME
kmtrace - a KDE memory leak tracer

SYNOPSIS
kmtrace [ generic-options ] [ -x, --exclude file ] [ -e, --exe file ] [ -t, --tree file [ --th, --treethreshold value ] [ --td, --treedepth value ]] [ trace-log ]

DESCRIPTION
KMtrace is a KDE tool to assist with malloc debugging using glibc's "mtrace" functionality. Unfortunately the mtrace that is part of current (9/9/2000) glibc versions only logs the return-address of the malloc/free call. The library included with KMtrace logs a complete backtrace upon malloc/free.

KMtrace will investigate the trace log specified on the command line, or ktrace.out if no trace log is specified.

This utility is part of the KDE Software Development Kit.

OPTIONS
Below are the kmtrace-specific options. For a full summary of options, run kmtrace --help.

-x, --exclude file
    File containing symbols to exclude from output.

-e, --exe file
    Executable to use for looking up unknown symbols.

-t, --tree file
    Write a tree of the allocations to the given file.

--th, --treethreshold value
    When writing the allocations tree, hide subtrees allocating less than the given memory amount.

--td, --treedepth value
    When writing the allocations tree, hide subtrees that are deeper than the specified depth.

SEE ALSO
demangle(1), kminspector(1), kmmatch(1).

Much more extensive documentation can be found in /usr/share/doc/kmtrace/README.

AUTHOR
KMtrace was written by Waldo Bastian <bastian@kde.org>, Mike Haertel <mike@ai.mit.edu> and Andi Kleen <ak@suse.de>.
This manual page was prepared by Ben Burton <bab@debian.org> for the Debian GNU/Linux system (but may be used by others).